## IAnjutaFileLoader

IAnjutaFileLoader — Loader to load files

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-file-loader.h>

    #define             IANJUTA_FILE_LOADER_ERROR
                        IAnjutaFileLoader;
                        IAnjutaFileLoaderIface;
    GQuark              ianjuta_file_loader_error_quark     (void);
    GObject*            ianjuta_file_loader_load            (IAnjutaFileLoader *obj,
                                                             const gchar *uri,
                                                             gboolean readonly,
                                                             GError **err);
    gchar*              ianjuta_file_loader_peek_interface  (IAnjutaFileLoader *obj,
                                                             const gchar *uri,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaFileLoader

## Prerequisites

IAnjutaFileLoader requires IAnjutaLoader and GObject.

## Description

Loaders can deterime correct plugin to open a file.

## Details

### IANJUTA_FILE_LOADER_ERROR

    #define IANJUTA_FILE_LOADER_ERROR ianjuta_file_loader_error_quark()

### IAnjutaFileLoader

    typedef struct _IAnjutaFileLoader IAnjutaFileLoader;

### IAnjutaFileLoaderIface

    typedef struct {
    	IAnjutaLoaderIface g_iface;

    	GObject* (*load) (IAnjutaFileLoader *obj, const gchar *uri,  gboolean readonly, GError **err);
    	gchar* (*peek_interface) (IAnjutaFileLoader *obj, const gchar *uri, GError **err);
    } IAnjutaFileLoaderIface;

### ianjuta_file_loader_error_quark ()

    GQuark              ianjuta_file_loader_error_quark     (void);

Returns : |

### ianjuta_file_loader_load ()

    GObject*            ianjuta_file_loader_load            (IAnjutaFileLoader *obj,
                                                             const gchar *uri,
                                                             gboolean readonly,
                                                             GError **err);

Determines a plugin which can open the given file, activates it opening the file and returns the interface of the plugin activated.

`obj` : | Self
`uri` : | URI to load
`readonly` : | Open in readonly mode.
`err` : | Error propagation and reporting
Returns : | Plugin interface used to load the file.

### ianjuta_file_loader_peek_interface ()

    gchar*              ianjuta_file_loader_peek_interface  (IAnjutaFileLoader *obj,
                                                             const gchar *uri,
                                                             GError **err);

`obj` : |
`uri` : |
`err` : |
Returns : |